List workflow versions
GET
/v1/forms/{form}/workflow/versions
const url = 'https://api.submeto.com/v1/forms/example/workflow/versions';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.submeto.com/v1/forms/example/workflow/versions \ --header 'Authorization: Bearer <token>'Returns at most the latest 100 immutable versions. Requires workflows:read.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”form
required
string
The form ID.
Responses
Section titled “Responses”Workflow versions
Media typeapplication/json
object
data
Array<object>
object
id
string
workflow_id
string
version
integer
node_count
integer
estimated_min_cost
integer
estimated_max_cost
integer
restored_from_version_id
string
published_at
string
request_id
string
Example
{ "data": [ { "id": "01JVERSION00000000000000002", "workflow_id": "01JWORKFLOW0000000000000000", "version": 2, "node_count": 4, "estimated_min_cost": 1, "estimated_max_cost": 2, "restored_from_version_id": null, "published_at": "2026-09-03T09:10:00.000Z" } ], "request_id": "REQUEST_ID"}